Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 565694 - sys-apps/busybox - Filesize does not match recorded size
Summary: sys-apps/busybox - Filesize does not match recorded size
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: Other (show other bugs)
Hardware: All Linux
: Normal critical with 4 votes (vote)
Assignee: Gentoo Infrastructure
URL:
Whiteboard:
Keywords:
: 558528 565710 565812 565830 565836 565888 565900 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-11-13 16:20 UTC by Juergen Rose
Modified: 2015-11-17 10:13 UTC (History)
28 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Bad Manifest (file_565694.txt,18.88 KB, text/plain)
2015-11-15 08:05 UTC, Greg Kubaryk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2015-11-13 16:20:54 UTC
'emerge -vuND --backtrack=30 world' fails with:
...
>>> Verifying ebuild manifests

!!! Digest verification failed:
!!! /usr/portage_lynx/sys-apps/busybox/busybox-1.24.1.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 8577
!!! Expected: 8579


Reproducible: Always
Comment 1 Mike Gilbert gentoo-dev 2015-11-13 16:48:43 UTC
The Manifest in rsync seems to have the wrong filesize.
Comment 2 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2015-11-13 19:35:00 UTC
-rw-r--r-- 1 gmirror gmirror 8577 Nov 13 06:01 /var/tmp/gmirror-rsync/gentoo-x86-stage/sys-apps/busybox/busybox-1.24.1.ebuild
EBUILD busybox-1.24.1.ebuild 8577 SHA256 31eaac028521cc6bd5f2b1e65cbc49a46d1e1bb1de5a0bcb52e5f110380ce66d SHA512 2809dd31ddfbe8f4f296d3959b7ac1ac752a0ddb08c31546e531e2e5e557bf5fc42488472514cf8ab0e62314d18e2e3f09c4af08894a4dee2ccd7221beabee92 WHIRLPOOL 66ce51fafea5b8d73e7ef0044f6c235ffc01aa6047f6ff336b09f6e1d6dff2ff2e13140bd324c1566d5b74fefe5448745c7fde38e9a319cf0c4cbee986175305

If you sync'd yesterday or earlier, this may be another instance of bug 565574 happening.

If it still occurs, please include the failing line from your copy of the Manifest.
Comment 3 Raymond Jennings 2015-11-13 20:58:40 UTC
It's fixed now.  I just did a raw sync and everything matched up.
Comment 4 aditsu 2015-11-13 22:46:12 UTC
(In reply to shentino from comment #3)
> It's fixed now.  I just did a raw sync and everything matched up.

I synced after reading your message and it's still failing.
Comment 5 aditsu 2015-11-13 22:47:52 UTC
(In reply to Robin Johnson from comment #2)
> If it still occurs, please include the failing line from your copy of the
> Manifest.

How to find the "failing line"?
Comment 6 Mike Gilbert gentoo-dev 2015-11-13 22:51:52 UTC
I'm now seeing this for busybox-9999.ebuild.

# cat /usr/portage/metadata/timestamp
Fri Nov 13 22:15:16 UTC 2015

# repoman full

RepoMan scours the neighborhood...

!!! Digest verification failed:
!!! /usr/portage/sys-apps/busybox/busybox-9999.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 8493
!!! Expected: 8580
  ebuild.badheader              1
   sys-apps/busybox/busybox-1.21.0.ebuild: Invalid Gentoo Copyright on line: 1
  manifest.bad [fatal]          1
   sys-apps/busybox/Manifest

# ls -l busybox-9999.ebuild
-rw-r--r-- 1 root root 8493 Nov 13 01:01 busybox-9999.ebuild

# grep busybox-9999.ebuild Manifest
EBUILD busybox-9999.ebuild 8580 SHA256 7aff319a88b045355843b9c4b565d207b686fbb3823773c84dc03eef41769e40 SHA512 d9136ebeec4270a6413da2e82f6c42a04bb7450704b2a500c0ef1ca54d9a571628c1f568ba6c5682c6a8a01779bfb5cb77c1d110675fb6253e187b695707163f WHIRLPOOL e72b404b3c13bf1bb4ad5a272cd92c410936c4c2bf69dd953164c23d8902ea513a49324e626340878602285ebe156dbd36c4b22faf142ff48ee4fdecf009b56f
Comment 7 Patrick McLean gentoo-dev 2015-11-13 23:05:53 UTC
I hit this as well, for me it was the 9999 ebuild that had the wrong manifest line.

Here is the bad line:
EBUILD busybox-9999.ebuild 8580 SHA256 7aff319a88b045355843b9c4b565d207b686fbb3823773c84dc03eef41769e40 SHA512 d9136ebeec4270a6413da2e82f6c42a04bb7450704b2a500c0ef1ca54d9a571628c1f568ba6c5682c6a8a01779bfb5cb77c1d110675fb6253e187b695707163f WHIRLPOOL e72b404b3c13bf1bb4ad5a272cd92c410936c4c2bf69dd953164c23d8902ea513a49324e626340878602285ebe156dbd36c4b22faf142ff48ee4fdecf009b56f

This is probably the commit that changed the ebuild without triggering a manifest update.
https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a88ace55b415065fd71800db672557e54e065969

Maybe the script doesn't handle things properly when a single commit updates multiple ebuilds plus profile changes?
Comment 8 aditsu 2015-11-14 02:15:09 UTC
(In reply to Mike Gilbert from comment #6)
> I'm now seeing this for busybox-9999.ebuild.

(In reply to Patrick McLean from comment #7)
> I hit this as well, for me it was the 9999 ebuild that had the wrong
> manifest line.

I first got the problem for the 9999 ebuild, but after resyncing a few times, it started complaining about 1.24.1 instead.
Comment 9 Yury Gavrilovich 2015-11-14 11:14:48 UTC
The same thing. Synced an hour ago and got "digest verification failed" for busybox-9999.ebuild, then after another sync get 
!!! Digest verification failed:
!!! /usr/portage/sys-apps/busybox/busybox-1.24.1.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 8577
!!! Expected: 8579
Comment 10 Ben Kohler gentoo-dev 2015-11-14 14:15:04 UTC
We've seen 2 rsync portage trees with the SAME timestamp.chk where one had a bad Manifest, and one did not.  Is it possible the rsync master is fine, but something breaks down in the sync between the rsync master and the public mirrors?
Comment 11 jospezial 2015-11-14 20:38:43 UTC
https://bugs.gentoo.org/show_bug.cgi?id=565710

looks like a dup of this.
Comment 12 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2015-11-15 03:07:28 UTC
*** Bug 565710 has been marked as a duplicate of this bug. ***
Comment 13 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2015-11-15 03:07:58 UTC
please sync and re-confirm; I have added a further pass to validate all manifests in the tree before it goes out to the mirror fetch directory.

If you do get the problem still:
please attach/paste:
1. metadata/timestamp*
2. Manifest for the failing package
3. ls -lad on the failing directory
4. local checksums on the failing file

P.S.
You can run 'repoman manifest-check' at the toplevel $PORTDIR to check the entire tree locally, and see that everything is good.
Comment 14 Greg Kubaryk 2015-11-15 08:05:45 UTC
Created attachment 417012 [details]
Bad Manifest

(In reply to Robin Johnson from comment #13)
> 1. metadata/timestamp*
> 2. Manifest for the failing package
> 3. ls -lad on the failing directory
> 4. local checksums on the failing file

0:
Server Address : 81.91.253.252, 2a01:90:200:10::1a

1:
# cat /usr/portage/metadata/timestamp*
Sun Nov 15 07:16:28 UTC 2015
Sun, 15 Nov 2015 07:30:01 +0000
1447571701 Sun 15 Nov 2015 07:15:01 AM UTC

2:
EBUILD busybox-9999.ebuild 8580 SHA256 7aff319a88b045355843b9c4b565d207b686fbb3823773c84dc03eef41769e40 SHA512 d9136ebeec4270a6413da2e82f6c42a04bb7450704b2a500c0ef1ca54d9a571628c1f568ba6c5682c6a8a01779bfb5cb77c1d110675fb6253e187b695707163f WHIRLPOOL e72b404b3c13bf1bb4ad5a272cd92c410936c4c2bf69dd953164c23d8902ea513a49324e626340878602285ebe156dbd36c4b22faf142ff48ee4fdecf009b56f
(See attachment for more)

3:
(Note: I tried deleting /usr/portage/sys-apps/busybox and resyncing, didn't work.)
# ls -lad /usr/portage/sys-apps/busybox/
drwxr-xr-x 3 root root 4096 Nov 15 02:49 /usr/portage/sys-apps/busybox/

4:
# ls -lad /usr/portage/sys-apps/busybox/busybox-9999.ebuild 
-rw-r--r-- 1 root root 8493 Nov 13 01:01 /usr/portage/sys-apps/busybox/busybox-9999.ebuild
# sha256sum busybox-9999.ebuild 
c63a8a1e692e3db32065b7b6ea8a295815e7f18a8bc8d61467b317d2ba3ad8ce  busybox-9999.ebuild
# sha512sum busybox-9999.ebuild 
62b247c12bfaea62418fbe3f7a6c12f127f24083f00c5ed0e3cf89d04397557a54cfbb8e527d66cf688c33e0689515bd69b94c86768b797d7e14594f45a947f7  busybox-9999.ebuild
# openssl whirlpool busybox-9999.ebuild 
whirlpool(busybox-9999.ebuild)= 95424edd37ebeea691bc5f62dffafbec5d2545790768f1861c4ad2ce6f25931c44e33c4a6903d2afab3b8a6dfcf3b9e5c9a865bfe197bf98361254b82181f635
Comment 15 Jyrki Launonen 2015-11-15 08:22:49 UTC
1. cat /usr/portage/metadata/timestamp*
Sun Nov 15 06:16:01 UTC 2015
Sun, 15 Nov 2015 07:15:01 +0000
1447568101 Sun 15 Nov 2015 06:15:01 AM UTC

2. same as attachment 417012 [details]
3. drwxr-xr-x 3 root root 4096 15.11. 09:49 busybox/
4. Two files fail, 1.24.1 and 9999, of which 9999 is same as in comment 14
busybox-1.24.1.ebuild fails SHA256:
Actual   31eaac028521cc6bd5f2b1e65cbc49a46d1e1bb1de5a0bcb52e5f110380ce66d
Manifest da4928a32451934c578e9c350f612b1e25e8d41c75efe06591139f2b54132a91

busybox-1.24.1.ebuild fails SHA512:
Actual   2809dd31ddfbe8f4f296d3959b7ac1ac752a0ddb08c31546e531e2e5e557bf5fc42488472514cf8ab0e62314d18e2e3f09c4af08894a4dee2ccd7221beabee92
Manifest 13558fd2e840dbbb379ef13f41665fb424b366081aeb3fdd4849271f3d574ff828c5ecd88a7e60932c0cbebf95fa4214d98ba76935bbdbe815d4c7643bec60ec

busybox-1.24.1.ebuild fails WHIRLPOOL:
Actual   66ce51fafea5b8d73e7ef0044f6c235ffc01aa6047f6ff336b09f6e1d6dff2ff2e13140bd324c1566d5b74fefe5448745c7fde38e9a319cf0c4cbee986175305
Manifest f2658665fcec5b431f931695d68dc780f0fb7c2ea73694d680fd791ebeb8d04fdcd787528537bfaa43ece36fb6bcaa7157d3f5973893e7c6185bbfbe63bbc0a5
Comment 16 Tomáš Mózes 2015-11-15 09:29:19 UTC
*** Bug 565812 has been marked as a duplicate of this bug. ***
Comment 17 Patrick Lauer gentoo-dev 2015-11-15 14:15:52 UTC
!!! Digest verification failed:
!!! /usr/portage/sys-apps/busybox/busybox-9999.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 8493
!!! Expected: 8580
# cat /usr/portage/metadata/timestamp
Sun Nov 15 11:17:00 UTC 2015
Comment 18 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2015-11-15 21:49:02 UTC
Ok, I found another annoying trigger for this problem.

-rw-r--r-- 1 gmirror gmirror 19287 Nov 13 07:17 /var/tmp/gmirror-rsync/gentoo-x86-stage/sys-apps/busybox/Manifest
-rw-r--r-- 1 gmirror gmirror 19287 Nov 13 07:17 /var/tmp/gmirror-rsync/gentoo-x86-final/sys-apps/busybox/Manifest

That's the staging path, and the final export path (that rsync mirrors ultimately fetch from [it's pushed to a further server first]).

The mtime is identical, down to the second, ditto the filesize.

MD5's:
ab2731aca4e66094d72729720fb67ec7  /var/tmp/gmirror-rsync/gentoo-x86-final/sys-apps/busybox/Manifest
3bd692b67c3c0ec4a093d131a178e0bd  /var/tmp/gmirror-rsync/gentoo-x86-stage/sys-apps/busybox/Manifest

(shortened patch for ease of viewing)
--- /var/tmp/gmirror-rsync/gentoo-x86-stage/sys-apps/busybox/Manifest	2015-11-13 07:17:31.000000000 +0000
+++ /var/tmp/gmirror-rsync/gentoo-x86-final/sys-apps/busybox/Manifest	2015-11-13 07:17:31.000000000 +0000
@@ -46,4 +46,4 @@
 EBUILD busybox-1.23.2.ebuild 8724 SHA256 1368... SHA512 1f4e... WHIRLPOOL 3457...
-EBUILD busybox-1.24.1.ebuild 8577 SHA256 31ea... SHA512 2809... WHIRLPOOL 66ce...
-EBUILD busybox-9999.ebuild 8493 SHA256 c63a... SHA512 62b2... WHIRLPOOL 9542...
+EBUILD busybox-1.24.1.ebuild 8579 SHA256 da49... SHA512 1355... WHIRLPOOL f265...
+EBUILD busybox-9999.ebuild 8580 SHA256 7aff... SHA512 d913... WHIRLPOOL e72b...
 MISC ChangeLog 4402 SHA256 e1f7... SHA512 de9f... WHIRLPOOL df59...

I've added --checksum to the rsync call, let's see if that helps it on the next pass; since rsync's mtime+filesize was not detailed enough to detect this change.

Give it 1 to 2 hours, then test again (say after Nov 16 00:00 UTC).
Comment 19 Guy 2015-11-16 01:20:27 UTC
I've re-synced my portage tree and the problem seems resolved.

I've updated my forum post to reflect this:

https://forums.gentoo.org/viewtopic-p-7841234.html#7841234

Thank you.
Comment 20 aditsu 2015-11-16 01:27:26 UTC
I resynced just now, and I'm still getting this:

!!! Digest verification failed:
!!! /usr/portage/sys-apps/busybox/busybox-1.24.1.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 8577
!!! Expected: 8579
Comment 21 Sebastian Pipping gentoo-dev 2015-11-16 01:49:11 UTC
Could it be that the same directory tree that rsync is reading from gets updated from Git during a run of rsync?
Comment 22 SpanKY gentoo-dev 2015-11-16 04:09:34 UTC
*** Bug 565830 has been marked as a duplicate of this bug. ***
Comment 23 SpanKY gentoo-dev 2015-11-16 04:10:01 UTC
*** Bug 565836 has been marked as a duplicate of this bug. ***
Comment 24 Greg Kubaryk 2015-11-16 04:58:03 UTC
(In reply to Robin Johnson from comment #18)
Not fixed.  Maybe we ought to refrain from testing things out on the main servers.  @system has been broken now for three days and is still broken as of Mon, 16 Nov 2015 04:30:01 +0000.
Comment 25 Mike DeSimone 2015-11-16 05:12:51 UTC
I was on bug 565830. I guess we all just need to wait for the fixed manifest to propagate out to the mirrors?
Comment 26 Patrick Lauer gentoo-dev 2015-11-16 06:06:11 UTC
As of 

Mon Nov 16 03:18:28 UTC 2015

it is still broken as before.
Comment 27 Johan Ymerson 2015-11-16 06:19:11 UTC
No, resynced now and the manifest is still wrong:
EBUILD busybox-9999.ebuild 8580 SHA256 7aff319a88b045355843b9c4b565d207b686fbb3823773c84dc03eef41769e40 SHA512 d9136ebeec4270a6413da2e82f6c42a04bb7450704b2a500c0ef1ca54d9a571628c1f568ba6c5682c6a8a01779bfb5cb77c1d110675fb6253e187b695707163f WHIRLPOOL e72b404b3c13bf1bb4ad5a272cd92c410936c4c2bf69dd953164c23d8902ea513a49324e626340878602285ebe156dbd36c4b22faf142ff48ee4fdecf009b56f

>ls -l busybox-9999.ebuild
-rw-r--r-- 1 root root 8493 Nov 13 07:01 busybox-9999.ebuild
Comment 28 Johan Ymerson 2015-11-16 06:46:40 UTC
Hmm, if the mtime isn't updated, no mirror will sync the new manifest anyway.
I'm using rsync.de.gentoo.org and it is still serving the old version.
If the mtime isn't updated when the manifest is generated, then all mirrors all over the world need to add the --checksum option.
Comment 29 abandoned account disabled email 2015-11-16 07:09:26 UTC
Used webrsync, this is today:

Calculating dependencies... done!
[ebuild     U  ] sys-apps/busybox-1.24.1::gentoo [1.23.2::gentoo] USE="-debug -ipv6 -livecd -make-symlinks -math -mdev -pam* -savedconfig (-selinux) -sep-usr -static -syslog -systemd" 2,021 KiB

Total: 1 package (1 upgrade), Size of downloads: 2,021 KiB

Would you like to merge these packages? [Yes/No] 

>>> Verifying ebuild manifests

!!! Digest verification failed:
!!! /usr/portage/sys-apps/busybox/busybox-1.24.1.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 8577
!!! Expected: 8579

real	0m30.024s
user	0m25.627s
sys	0m1.053s
Comment 30 Elfenbein, Karsten 2015-11-16 07:42:51 UTC
Enabling checksum to all mirrors would also require all clients to use checksum. 
This would probably impact all mirrors.

There should be a better safeguard when updating the central manifest that acquires a lock for category/package and waits 1-2 seconds if the mtime of the file = now or prevents any sync out while updates are applied from git.

As a quick fix the file mtime should be adjusted to prevent this bug from blocking the update for the users.
Comment 31 Greg Kubaryk 2015-11-16 07:47:27 UTC
(In reply to Elfenbein, Karsten from comment #30)
> As a quick fix the file mtime should be adjusted to prevent this bug from
> blocking the update for the users.

QA went ahead and did that; it just hasn't propagated to the rsync tree yet.  Looks like the quick fix should maybe/hopefully be available in about 20 minutes.
Comment 32 Lars Wendler (Polynomial-C) gentoo-dev 2015-11-16 07:51:53 UTC
*** Bug 565888 has been marked as a duplicate of this bug. ***
Comment 33 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2015-11-16 08:45:28 UTC
*** Bug 565900 has been marked as a duplicate of this bug. ***
Comment 34 M. Prášek 2015-11-16 09:00:19 UTC
still not work
Comment 35 abandoned account disabled email 2015-11-16 09:17:54 UTC
Remember you can always add --exclude "busybox" at the end of the emerge when updating, to can still update the others...

Example of what I use:

# time emerge --verbose --tree --update --deep --with-bdeps=y --changed-use --ask @world --exclude="libreoffice libreoffice-l10n busybox"

(I just tried with = instead of space, works the same)
Comment 36 Luis Ferreira 2015-11-16 09:26:27 UTC
House luis # emerge =sys-apps/busybox-1.23.1-r1::gentoo
Calculating dependencies... done!

>>> Verifying ebuild manifests

!!! Digest verification failed:
!!! /usr/portage/sys-apps/busybox/busybox-1.24.1.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 8577
!!! Expected: 8579
Comment 37 abandoned account disabled email 2015-11-16 09:33:13 UTC
(In reply to Emanuel Czirai from comment #29)
> Used webrsync, this is today:
> 
> Calculating dependencies... done!
> [ebuild     U  ] sys-apps/busybox-1.24.1::gentoo [1.23.2::gentoo]
> USE="-debug -ipv6 -livecd -make-symlinks -math -mdev -pam* -savedconfig
> (-selinux) -sep-usr -static -syslog -systemd" 2,021 KiB
> 
> Total: 1 package (1 upgrade), Size of downloads: 2,021 KiB
> 
> Would you like to merge these packages? [Yes/No] 
> 
> >>> Verifying ebuild manifests
> 
> !!! Digest verification failed:
> !!! /usr/portage/sys-apps/busybox/busybox-1.24.1.ebuild
> !!! Reason: Filesize does not match recorded size
> !!! Got: 8577
> !!! Expected: 8579
> 
> real	0m30.024s
> user	0m25.627s
> sys	0m1.053s

I don't know what I did (or didn't do initially) but it just works now, I even re-webrsync'd and I can now emerge --update busybox normally! (sorry for the throw off)

# time emerge --verbose --tree --update --deep --with-bdeps=y --changed-use --ask @world --exclude "libreoffice libreoffice-l10n"

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild     U  ] sys-apps/busybox-1.24.1::gentoo [1.23.2::gentoo] USE="-debug -ipv6 -livecd -make-symlinks -math -mdev -pam* -savedconfig (-selinux) -sep-usr -static -syslog -systemd" 0 KiB

Total: 1 package (1 upgrade), Size of downloads: 0 KiB

Would you like to merge these packages? [Yes/No] 

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) sys-apps/busybox-1.24.1::gentoo
 * busybox-1.24.1.tar.bz2 SHA256 SHA512 WHIRLPOOL size ;-) ...           [ ok ]
>>> Unpacking source...
>>> Unpacking busybox-1.24.1.tar.bz2 to /var/tmp/portage/sys-apps/busybox-1.24.1/work
>>> Source unpacked in /var/tmp/portage/sys-apps/busybox-1.24.1/work
>>> Preparing source in /var/tmp/portage/sys-apps/busybox-1.24.1/work/busybox-1.24.1 ...
 * Applying busybox-1.19.0-bb.patch ...                                  [ ok ]
 * Applying busybox-1.24.1-unzip.patch ...                               [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/sys-apps/busybox-1.24.1/work/busybox-1.24.1 ...
Comment 38 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2015-11-16 09:35:08 UTC
For the moment, we have enough failure reports, please do not post any further ones. The issue might be resolved now, we're checking to make sure.
Comment 39 abandoned account disabled email 2015-11-16 09:36:05 UTC
I wonder if it was this:

# time repoman --verbose manifest-check

RepoMan scours the neighborhood...

*** the local copy of metadata.dtd needs to be refetched, doing that now

--2015-11-16 10:25:27--  http://www.gentoo.org/dtd/metadata.dtd
Resolving www.gentoo.org... 89.16.167.134
Connecting to www.gentoo.org|89.16.167.134|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: https://www.gentoo.org/dtd/metadata.dtd [following]
--2015-11-16 10:25:27--  https://www.gentoo.org/dtd/metadata.dtd
Connecting to www.gentoo.org|89.16.167.134|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 5149 (5.0K) [application/octet-stream]
Saving to: '/usr/portage/distfiles/metadata.dtd.dghc8wgn'

/usr/portage/distfi 100%[=====================>]   5.03K  --.-KB/s   in 0s     

2015-11-16 10:25:27 (183 MB/s) - '/usr/portage/distfiles/metadata.dtd.dghc8wgn' saved [5149/5149]

[INFO] checking package sys-apps/busybox
Note: type "repoman full" for a complete listing.
RepoMan sez: "If everyone were like you, I'd be out of business!"

real	0m1.723s
user	0m1.117s
sys	0m0.147s
Comment 40 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2015-11-16 10:11:28 UTC
The manifest is fixed now and propagating to all mirrors. If you resync in a few hours from now, you should be getting the correct Manifest.
Comment 41 Opportunist 2015-11-16 11:19:56 UTC
http://www.zabbix.com/rn2.4.7.php

Zabbix Team is pleased to announce the availability of Zabbix 2.4.7.
Comment 42 Opportunist 2015-11-16 11:22:15 UTC
Sorry, my mistake.
Comment 43 jms 2015-11-16 11:42:22 UTC
yes!

cat metadata/timestamp
Mon Nov 16 09:48:20 UTC 2015

repoman -p manifest-check

RepoMan does a once-over of the neighborhood...
Note: type "repoman full" for a complete listing.
RepoMan sez: "If everyone were like you, I'd be out of business!"

emerge -fvuND @world
                                                                                              
These are the packages that would be fetched, in order:                                       
                                                                                              
Calculating dependencies... done!                                                             
[ebuild   R    ] sys-apps/busybox-1.23.1-r1::gentoo  USE="ipv6 static syslog -debug -livecd -make-symlinks -math -mdev -pam* -savedconfig (-selinux) -sep-usr -systemd" 0 KiB               
                                                                                              
Total: 1 package (1 reinstall), Size of downloads: 0 KiB                                      
                                                                                              
                                                                                              
>>> Fetching (1 of 1) sys-apps/busybox-1.23.1-r1::gentoo                                      
 * busybox-1.23.1.tar.bz2 SHA256 SHA512 WHIRLPOOL size ;-) ...                         [ ok ]
Comment 44 aditsu 2015-11-16 14:40:14 UTC
Works for me now, thanks.
Comment 45 kgunders 2015-11-16 18:05:43 UTC
No.  It doesn't:

wildiris portage # repoman -p manifest-check

RepoMan does a once-over of the neighborhood...

!!! Digest verification failed:
!!! /usr/portage/sys-apps/busybox/busybox-9999.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 8493
!!! Expected: 8580
  manifest.bad [fatal]          1
   sys-apps/busybox/Manifest
Please fix these important QA issues first.
RepoMan sez: "Make your QA payment on time and you'll never see the likes of me."
Comment 46 Johan Ymerson 2015-11-16 19:19:09 UTC
Works here now.
Any residual effects are probably caused by mirrors not syncing correctly.

A note on why there was so many duplicates reported on this:
I searched several times during the weekend for reports about this issue. But since it was erroneously closed or put in NEEDINFO it didn't show up in the normal search. Searching for closed reports on "busybox" resulted in the bugzilla search hanging.
Comment 47 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2015-11-17 09:33:12 UTC
All rsync mirrors serve the updated manifest now.
Comment 48 Sergey S. Starikoff 2015-11-17 10:13:38 UTC
*** Bug 558528 has been marked as a duplicate of this bug. ***